DCMTK - Bug #1085

Memory leaks in dulfsm
2023-10-04 07:58 - Michael Onken

Status: Resolved Start date: 2023-10-04
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Library Estimated time: 0:00 hour
Target version: 3.7.1+

Module: dcmnet Compiler:

Operating System:

Description
Various functions in dulfsm.cc might not free allocated memory if the function returns before the related free() call is reached, e.g.

static OFCondition
sendAssociationRJITCP (PRIVATE_NETWORKKEY ** /*network*/, DUL_ABORTITEMS * abortItems,
PRIVATE_ASSOCIATIONKEY ** association) in dulfsm.cc

See this forum post for the related bug report.

History

#1 - 2024-04-19 16:23 - Michael Onken

- Status changed from New to Resolved

Closed with commit #3f2b84.

#2 - 2024-06-26 10:13 - Jorg Riesmeier

- Target version set to 3.7.1+
